/**
 * Copyright 2013 by Opswat Inc. (http://www.opswat.com)
 */
package com.opswat.metadefender.oauth.client.controller;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.json.JSONObject;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.opswat.metadefender.oauth.client.utils.Common;
import com.opswat.metadefender.oauth.client.utils.Define;

/**
 * @author Cao Hong Phuoc
 * 
 */

@Controller
public class HomeController {

    @RequestMapping(value = "/authorize")
    public void authorize(HttpServletRequest request, HttpServletResponse response) throws IOException {
        String authorizeUri = Common.getAuthorizeUri();
        response.sendRedirect(authorizeUri);
    }

    @RequestMapping(value = "/gettoken")
    public String getToken(HttpServletRequest request) {
        try {
            String code = request.getParameter(Define.AUTHORIZATION_CODE);
            
            if (code == null) {
                return "redirect:authorize";
            }
            
            // get access_token, refresh_token
            String uri = Common.getAccessTokenUri(code);
            String response = Common.getUrlContents(uri);
            
            JSONObject json = new JSONObject(response);
            String accessToken = json.getString(Define.ACCESS_TOKEN);
            String refreshToken = json.getString(Define.REFRESH_TOKEN);

            request.getSession().setAttribute(Define.ACCESS_TOKEN, accessToken);
            request.getSession().setAttribute(Define.REFRESH_TOKEN, refreshToken);
            
            return "redirect:account";
    
        } catch (Exception exception) {
            exception.printStackTrace();
            return "redirect:authorize";
        }
    }

}
