package com.opswat.metadefender.oauth.client.utils;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.X509Certificate;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSession;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import javax.servlet.http.HttpSession;

import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.web.client.RestTemplate;

/**
 * @author Cao Hong Phuoc
 * 
 */

public class Common {
	
	static {
		try {
			// Create a trust manager that does not validate certificate chains
	        TrustManager[] trustAllCerts = new TrustManager[] {new X509TrustManager() {
	        	public java.security.cert.X509Certificate[] getAcceptedIssuers() {
	                return null;
	            }
	            public void checkClientTrusted(X509Certificate[] certs, String authType) {
	            	
	            }
	            public void checkServerTrusted(X509Certificate[] certs, String authType) {
	            	
	            }
	        }};

	        // Install the all-trusting trust manager
	        SSLContext sc = SSLContext.getInstance("SSL");
	        sc.init(null, trustAllCerts, new java.security.SecureRandom());
	        HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());

	        // Create all-trusting host name verifier
	        HostnameVerifier allHostsValid = new HostnameVerifier() {
	            public boolean verify(String hostname, SSLSession session) {
	                return true;
	            }
	        };

	        // Install the all-trusting host verifier
	        HttpsURLConnection.setDefaultHostnameVerifier(allHostsValid);
	    } catch (NoSuchAlgorithmException e) {
	        e.printStackTrace();
	    } catch (KeyManagementException e) {
	        e.printStackTrace();
	    }
	}

    public static String getAuthorizeUri() {
        String path = Define.AUTHORIZE_URI +
                "?client_id=" + Define.CLIENT_ID +
                "&response_type=code" + 
                "&redirect_uri=" + Define.CALLBACK_URL;
        return path;
    }
    
    public static String getRefreshUri(String refreshToken) {
        String path = Define.ACCESS_TOKEN_URI + 
                "?client_id=" + Define.CLIENT_SECRET + 
                "&client_secret=" + Define.CLIENT_SECRET + 
                "&grant_type=refresh_token" + 
                "&refresh_token=" + refreshToken;
        return path;
    }
    
    public static String getAccessTokenUri(String code) {
        String path = Define.ACCESS_TOKEN_URI + 
                "?client_id=" + Define.CLIENT_ID + 
                "&client_secret=" + Define.CLIENT_SECRET + 
                "&grant_type=authorization_code" + 
                "&redirect_uri=" + Define.CALLBACK_URL + 
                "&code=" + code;
        return path;
    }
    
    public static String makeErrorJsonString(String msg) {
        JSONObject jo = new JSONObject();
        try {
            jo.append("status", "false");
            jo.append("msg", msg);
        } catch ( JSONException e ) {
        }
        return jo.toString();
    }

    public static String getUrlContents(String theUrl) {
        URL url;
        HttpURLConnection conn = null;
        BufferedReader rd;
        String line;
        String result = "";

        try {
            url = new URL(theUrl);
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");

            try {
                rd = new BufferedReader(new InputStreamReader(
                        conn.getInputStream()));
            } catch (Exception e) {
                rd = new BufferedReader(new InputStreamReader(
                        conn.getErrorStream()));
            }

            while ((line = rd.readLine()) != null) {
                result += line;
            }
            rd.close();

            return result;

        } catch (Exception e) {
            return null;
        }
    }
    
    public static String getData(String api, String accessToken) {
        RestTemplate restTemplate = new RestTemplate();
        String uri = api + "?access_token=" + accessToken;
        String result = restTemplate.getForObject(uri, String.class);
        return result;
    }
    
    public static String getData(String uri) {
        RestTemplate restTemplate = new RestTemplate();
        String result = restTemplate.getForObject(uri, String.class);
        return result;
    }
    
    public static String getAccessToken(HttpSession session) {
        try {
            String accessToken = session.getAttribute(Define.ACCESS_TOKEN).toString();
            return accessToken;
        } catch (Exception exception) {
            return null;
        }
    }
}
