<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MetaAccess API Client Application</title>
<link rel="stylesheet" href="<c:url value="/resources/css/main.css" />">
<link href="https://use.fontawesome.com/releases/v5.0.6/css/all.css" rel="stylesheet">
<script type="text/javascript" src="<c:url value="/resources/js/jquery-1.8.2.min.js" />" ></script>
<script type="text/javascript" src="<c:url value="/resources/js/moment.min.js" />" ></script>

</head>
<body>
	<jsp:include page="include/leftmenu.jsp"></jsp:include>

	<div id="content">
		<div id="configuration">
			<div id="hostname_title" class="header">${endpoint.hostname }</div>

			<div class="detail">
				<div class="device-detail-pnl" style="width: 332px;">
					<div class="detail-header">Basic Information</div>
					<div class="row-field clearfix">
						<label class="label">HOSTNAME</label>
						<div id="hostname" class="value">${endpoint.hostname }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">NICKNAME</label>
						<div class="value" id="nickname">${endpoint.nickname }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">AGENT VERSION</label>
						<div class="value" id="agent_version">${endpoint.agent_version}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">LAST SEEN</label>
						<div class="value" id="last_seen">
						<script>
						var lastSeen = "${endpoint.last_seen}";
						lastSeen = moment(lastSeen).format("MM/DD/YYYY HH:mm");
						$("#last_seen").html(lastSeen);
						</script>
					</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">MACHINETYPE</label>
						<div class="value" id="machinetype">${endpoint.machine_type }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">COUNTRY</label>
						<div class="value" id="country">${endpoint.country }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">ACTIVE</label>
						<div class="value" id="active">${endpoint.active }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">TOTAL ISSUE</label>
						<div class="value" id="total_issue">${endpoint.total_issue }</div>
					</div>
				</div>

				<div class="device-detail-pnl" style="width: 332px;">
					<div class="detail-header">User</div>
					<div class="row-field clearfix">
						<label class="label">USERNAME</label>
						<div id="username" class="value">${endpoint.user_info.username }</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">DOMAIN</label>
						<div class="value" id="domain">${endpoint.user_info.domain }</div>
					</div>

					<div class="detail-header">Interfaces</div>
					<table>
						<thead>
							<tr>
								<th class='item-header'>MAC Address</th>
								<th class='item-header'>IPv4 Address</th>
							</tr>
						</thead>
						<tbody id="interfaces">
							<c:forEach var="nic" items="${endpoint.network_info}">
								<tr>
									<td>${nic.mac_addr}</td>
									<td>${nic.ipv4_addr}</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>

				<div class="device-detail-pnl" style="width: 332px;">
					<div class="detail-header">Operating System Information</div>
					<div class="row-field clearfix">
						<label class="label">FAMILY</label>
						<div id="os_family" class="value">${endpoint.os_info.family}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">NAME</label>
						<div class="value" id="os_name">${endpoint.os_info.name}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">VENDOR</label>
						<div class="value" id="os_vendor">${endpoint.os_info.vendor}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">VERSION</label>
						<div class="value" id="os_version">${endpoint.os_info.version}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">SERVICE PACK</label>
						<div class="value" id="os_service_pack">${endpoint.os_info.service_pack_version}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">ARCHITECTURE</label>
						<div class="value" id="os_archi">${endpoint.os_info.architecture}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">OS LANGUAGE</label>
						<div class="value" id="os_language">${endpoint.os_info.os_language}</div>
					</div>
					<div class="row-field clearfix">
						<label class="label">USER PASSWORD SET</label>
						<div class="value" id="os_password">${endpoint.os_info.user_password_set}</div>
					</div>
				</div>
				<div style="clear: both; width: 100%; padding: 20px;"></div>
				<div class="detail-header">Applications</div>
				<div id="applications">
					<c:forEach var="category" items="${endpoint.applications}">
						<c:forEach var="application" items="${category.apps }">
							<div class="device-detail-pnl" style="width: 332px;">
								<div class="row-field clearfix">
									<label class="label">Category</label>
									<div class="value">${category.category}</div>
								</div>
								<div class="row-field clearfix">
									<label class="label">Name</label>
									<div class="value">${application.name}</div>
								</div>
								<div class="row-field clearfix">
									<label class="label">Vendor</label>
									<div class="value">${application.vendor}</div>
								</div>
								<div class="row-field clearfix">
									<label class="label">Version</label>
									<div class="value">${application.version}</div>
								</div>
								<div class="row-field clearfix">
									<label class="label">Health Status</label>
									<div class="value">
									<c:forEach var="status" items="${application.health }">
									${status.status}<br>
									</c:forEach>
									</div>
								</div>
							</div>
						</c:forEach>
					</c:forEach>
				</div>
			</div>

		</div>

	</div>
</body>
</html>
