<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MetaAccess API Client Application</title>
<link rel="stylesheet" href="<c:url value="/resources/css/main.css" />">
<link href="https://use.fontawesome.com/releases/v5.0.6/css/all.css" rel="stylesheet">
<script type="text/javascript" src="<c:url value="/resources/js/jquery-1.8.2.min.js" />" ></script>
<script type="text/javascript" src="<c:url value="/resources/js/moment.min.js" />" ></script>

</head>
<body>
	<jsp:include page="include/leftmenu.jsp"></jsp:include>

	<div id="content">
		<div>
			<div class="header">Devices (${fn:length(devices)})</div>
			<div id="devices" class="clearfix">
				<c:forEach var="device" items="${devices }">
					<div class="device-detail-pnl" style="width: 332px;">
						<div class="device-name">
							<a href="devices/${device.hwid }">${device.hostname }</a>
						</div>
						<div class="row-field clearfix">
							<label class="label">ID</label>
							<div class="value">${device.hwid }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Nickname</label>
							<div class="value">${device.nickname }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Agent Version</label>
							<div class="value">${device.agent_version }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Last Seen</label>
							<div class="value" id=last_seen_${device.hwid}>
								<script>
								var lastSeen = "${device.last_seen }";
								lastSeen = moment(lastSeen).format("MM/DD/YYYY HH:mm");
								$("#last_seen_${device.hwid}").html(lastSeen);
								</script>
							</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Machine Type</label>
							<div class="value">${device.machine_type }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Country</label>
							<div class="value">${device.country }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Active</label>
							<div class="value">${device.active }</div>
						</div>
						<div class="row-field clearfix">
							<label class="label">Total Issue</label>
							<div class="value">${device.total_issue }</div>
						</div>
						<div class="show_button">
							<a href="devices/${device.hwid }" class="button-small">Show Detail</a>
						</div>
					</div>
				</c:forEach>
			</div>
		</div>

	</div>
</body>
</html>
